Subject: bug#28937: 26.0.60; Value after elisp docstring is filled (boundaries on forward-paragraph)

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 05 Mar 2021 14:02:10 +0100

"Basil L. Contovounesios" <[email-masked]> writes:

>> I've now changed this in Emacs 28 to narrow to the string before doing
>> the filling, which seems to fix this problem, and hopefully shouldn't
>> have any adverse effects (*cough*).
>
> (*cough*)
>
> 0. emacs -Q
> 1. (progn
>      (insert "\n\n(defvar foo nil\n  \"First.\nSecond\n\nThird.\")\n")
>      (end-of-line -2)
>      (dotimes (_ 15)
>        (insert " abcd")))
> 2. C-x C-e
> 3. M-q

(*cough* *cough*)

I hope it's not catching!

This should be fixed now -- I forgot to preserve point after doing the
narrowing.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no